# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rubytree"
  s.version = "0.8.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Anupam Sengupta"]
  s.date = "2011-12-16"
  s.description = "RubyTree is a Ruby implementation of the generic tree data structure.  It provides a node-based model to store keyed\nnode-elements in the tree and simple APIs to access, modify and traverse the structure.  RubyTree is node-centric, where\nindividual nodes on the tree are the primary compositional and structural elements.\n\nThis implementation also mixes in the Enumerable module to allow standard access to the tree as a collection."
  s.email = ["anupamsg@gmail.com"]
  s.extra_rdoc_files = ["History.txt", "Manifest.txt", "COPYING", "API-CHANGES"]
  s.files = ["History.txt", "Manifest.txt", "COPYING", "API-CHANGES"]
  s.homepage = "http://rubytree.rubyforge.org"
  s.post_install_message = "========================================================================\n\n Thank you for installing rubytree.\n\n              WARNING: SIGNIFICANT API CHANGE in 0.8.0 !\n              ------------------------------------------\n\n Please note that as of 0.8.0 the CamelCase method names are DEPRECATED.\n\n The new method names follow the ruby_convention (separated by '_').\n\n The old CamelCase methods still work (a warning will be displayed),\n but may go away in the future.\n\n Details of the API changes are documented in the API-CHANGES file.\n\n========================================================================\n"
  s.rdoc_options = ["--files", "COPYING,API-CHANGES", "--title", "Rubytree Documentation", "--quiet"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "rubytree"
  s.rubygems_version = "1.8.24"
  s.summary = "RubyTree is a Ruby implementation of the generic tree data structure"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<hoe-yard>, [">= 0.1.2"])
      s.add_development_dependency(%q<hoe>, ["~> 2.12"])
    else
      s.add_dependency(%q<hoe-yard>, [">= 0.1.2"])
      s.add_dependency(%q<hoe>, ["~> 2.12"])
    end
  else
    s.add_dependency(%q<hoe-yard>, [">= 0.1.2"])
    s.add_dependency(%q<hoe>, ["~> 2.12"])
  end
end
